Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class ResolveVisitor

Visitor to resolve Types and convert VariableExpression to ClassExpressions if needed. The ResolveVisitor will try to find the Class for a ClassExpression and prints an error if it fails to do so. Constructions like C[], foo as C, (C) foo will force creation of a ClassExpression for C

Note: the method to start the resolving is startResolving(ClassNode, SourceUnit).

author:
  Jochen Theodorou

Field Summary
`def` | `DEFAULT_IMPORTS`
`Object` | `NO_CLASS`
`Object` | `SCRIPT`
`Map` | `cachedClasses`
`CompilationUnit` | `compilationUnit`
`ClassNode` | `currentClass`
`VariableScope` | `currentScope`
`Map` | `genericParameterNames`
`boolean` | `inClosure`
`boolean` | `inPropertyExpression`
`boolean` | `isSpecialConstructorCall`
`boolean` | `isTopLevelProperty`
`SourceUnit` | `source`

Constructor Summary
`ResolveVisitor()`

Method Summary

Constructor Detail

### ResolveVisitor

    ResolveVisitor()

Method Detail